---
search:
  tags:
    - V1
    - POST
seo:
  description: >-
    Create a Supabase-backed v1 offline-test dataset. A schema describing…
    Reference for the POST /v1/projects/{projectId}/datasets endpoint in the
    Judgeval API.
sidebar:
  label: Create offline-test dataset
  badge: POST
title: Create offline-test dataset
type: openapi-operation
---
Create a Supabase-backed v1 offline-test dataset. A schema describing the example fields is required; every example must contain every declared field.

`POST /v1/projects/{projectId}/datasets`

**Request body** (`application/json`, required)

- `name` (string, required)
- `schema` (object, required)
- `examples` (object[])
- `overwrite` (boolean)
- `dataset_kind` (string)
- `metadata` (object | null)

Request body example:

```json
{
  "name": "string",
  "schema": {},
  "examples": [
    {}
  ],
  "overwrite": false,
  "dataset_kind": "example",
  "metadata": {}
}
```

**Responses**

- `200` — Response for status 200
- `400` — Response for status 400
- `409` — Response for status 409
- `422` — Response for status 422

Response example, 200:

```json
{
  "detail": "string",
  "dataset_id": "string",
  "dataset": {
    "dataset_id": "string",
    "organization_id": "string",
    "project_id": "string",
    "name": "string",
    "schema": {},
    "current_version": 0,
    "created_at": "string",
    "updated_at": "string",
    "creator_id": "string",
    "entries": 0,
    "test_config_count": 0
  }
}
```
